# example commands:
# snakemake --configfile /bank/experiments/2022-04-jordi/orthofinder/config.yaml --dry-run
# snakemake --configfile /bank/experiments/2022-04-jordi/orthofinder/config.yaml --use-conda --conda-frontend mamba --resources mem_mb=40_000 -j 12 > /bank/experiments/2022-04-jordi/orthofinder/log.txt 2>&1

# input
rna_samples: /bank/experiments/2022-04-jordi/orthofinder/rna_samples.tsv
rna_tpms: /bank/experiments/2022-04-jordi/orthofinder/tpms_per_replicate_cluster.tsv
rna_counts: /bank/experiments/2022-04-jordi/orthofinder/counts_per_replicate_cluster.tsv

atac_samples: /bank/experiments/2022-04-jordi/orthofinder/atac_samples.tsv
atac_counts: /bank/experiments/2022-04-jordi/orthofinder/atac_counts_min4.tsv

genome: /bank/genomes/Smed

# output
result_dir: /bank/experiments/2022-04-jordi/orthofinder/
tmp_dir: /bank/experiments/2022-04-jordi/orthofinder/tmp


# what analysis to run.
# format: column_group2_group1
# column must be present in both samples files
# groups must be present in this column
# for RNA-seq, one group must have 2 or more samples (for DESeq2)
contrasts:
  - "celltype_parenchymal_neoblasts"
  - "celltype_secretory_neoblasts"
  - "celltype_phagocytes_neoblasts"
  - "celltype_muscle.body_neoblasts"
  - "celltype_muscle.pharynx_neoblasts"
  - "celltype_muscle.body_muscle.pharynx"  # ATAC notes suggested muscle.pharynx might contain some muscle progenitors
  - "celltype_neurons_neoblasts"
  - "celltype_goblet_neoblasts"
  - "celltype_pharynx_neoblasts"
  - "celltype_protonephridia_neoblasts"
  - "celltype_early.epidermis_neoblasts"
  - "celltype_intermediate.epidermis_early.epidermis"  # ATAC and RNA notes used different terms. I think this is correct
  - "celltype_epidermis_intermediate.epidermis"  # ATAC and RNA notes used different terms. I think this is correct


# optional settings


# gimme
database: JASPAR2022_vertebrates #  gimme.vertebrate.v5.0  #  options: https://gimmemotifs.readthedocs.io/en/master/overview.html#motif-databases
keep_tmp_data: true  # keep the orthofinder output (in the tmp_dir)?

# ANANSE binding
jaccard: 0.2  # default: 0.1

# ANANSE influence
edges: 500_000  # default: 500_000
padj: 0.05  # default: 0.05

# ANANSE plot
plot_type: "png"
